org.apache.lucene.facet.sampling

## Class Sampler.SampleResult

- java.lang.Object
- - org.apache.lucene.facet.sampling.Sampler.SampleResult

- Enclosing class:
    Sampler

      public static final class Sampler.SampleResult
      extends Object

  Result of sample computation

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `actualSampleRatio`
    `ScoredDocIDs` | `docids`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Sampler.SampleResult(ScoredDocIDs docids, double actualSampleRatio)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### docids

          public final ScoredDocIDs docids

    - #### actualSampleRatio

          public final double actualSampleRatio

  - ### Constructor Detail

    - #### Sampler.SampleResult

          protected Sampler.SampleResult(ScoredDocIDs docids,
                              double actualSampleRatio)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.